Bug 198112 - Fix www/mod_spdy build with clang 3.6.0
Summary: Fix www/mod_spdy build with clang 3.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks: 197395
  Show dependency treegraph
 
Reported: 2015-02-28 23:38 UTC by Dimitry Andric
Modified: 2015-10-23 15:26 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (masaki)


Attachments
Disable -Wunused-local-typedef for clang 3.6.0 and higher (670 bytes, patch)
2015-02-28 23:38 UTC, Dimitry Andric
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitry Andric freebsd_committer 2015-02-28 23:38:37 UTC
Created attachment 153631 [details]
Disable -Wunused-local-typedef for clang 3.6.0 and higher

During the exp-run in bug 197395, it was found that www/mod_spdy gives errors with clang 3.6.0:

http://package18.nyi.freebsd.org/data/headamd64PR197395-default/2015-02-27_12h37m16s/logs/errors/mod_spdy-0.9.4.1.log

These errors are -Werror warnings about unused local typedefs, which are new warnings in clang 3.6.0 and higher.

As these warnings are entirely benign, and it causes some churn to fix them all, the attached patch simply suppresses them for clang 3.6.0 and higher.
Comment 1 Bartek Rutkowski freebsd_committer 2015-03-17 12:05:30 UTC
The proposed patch fails to build on 8.4 system and since I dont have a fix for that, I am returning this PR to the pool.
Comment 2 Ed Maste freebsd_committer 2015-07-06 17:53:49 UTC
(In reply to Bartek Rutkowski from comment #1)

What is the failure?
Comment 3 Bartek Rutkowski freebsd_committer 2015-08-03 11:59:06 UTC
Currently it fails on 9 like that:

[00:00:18] ====>> Loading MOVED
[00:00:18] ====>> Calculating ports order and dependencies
"Makefile", line 87: Malformed conditional (${COMPILER_TYPE} == clang && ${COMPILER_VERSION} >= 36)
"Makefile", line 89: if-less endif
make: fatal errors encountered -- cannot continue
[00:00:19] ====>> Error: Error getting PKGNAME for www/mod_spdy
[00:00:19] ====>> Error: Fatal errors encountered calculating dependencies
[00:00:19] ====>> Cleaning up
Comment 4 commit-hook freebsd_committer 2015-10-23 15:23:59 UTC
A commit references this bug:

Author: danfe
Date: Fri Oct 23 15:23:36 UTC 2015
New revision: 400029
URL: https://svnweb.freebsd.org/changeset/ports/400029

Log:
  - Suppress warnings about unused local typedefs for Clang 3.6.0 and higher
  - Convert explicit dependency on `devel/libexecinfo' to USES=execinfo
  - Wrap one overly long line while I'm here

  PR:		198112
  Submitted by:	dim

Changes:
  head/www/mod_spdy/Makefile
Comment 5 Alexey Dokuchaev freebsd_committer 2015-10-23 15:26:10 UTC
Committed along with other minor changes as ports r400029, thanks Dimitry!